package com.pcloud.book.cultivate.dao;

import com.pcloud.book.cultivate.entity.Cultivate;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface CultivateDao extends BaseDao<Cultivate> {
    Cultivate getByWechatUserId(Long wechatUserId);

    List<Cultivate> getAllOrderByStar();

    void updateIsHome(Integer isHome,Long cultivateId);

    List<Cultivate> getRandomUserId(Long cultivateId,Long friendCultivateId);

    List<Cultivate> getByCultivateIds(List<Long> cultivateIds);

    int getRank(Integer star);

    int getAllCounts();
}
